import { Component, inject } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import SharedModule from 'app/shared/shared.module';
import { ITEM_DELETED_EVENT } from 'app/config/navigation.constants';
import { IMetadataValue } from '../metadata-value.model';
import { MetadataValueService } from '../service/metadata-value.service';

@Component({
  standalone: true,
  templateUrl: './metadata-value-delete-dialog.component.html',
  imports: [SharedModule, FormsModule],
})
export class MetadataValueDeleteDialogComponent {
  metadataValue?: IMetadataValue;

  protected metadataValueService = inject(MetadataValueService);
  protected activeModal = inject(NgbActiveModal);

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.metadataValueService.delete(id).subscribe(() => {
      this.activeModal.close(ITEM_DELETED_EVENT);
    });
  }
}
